net.sourceforge.pmd.lang.ast.xpath.saxon

## Class ElementNode

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.xpath.saxon.AbstractNodeInfo
  - - net.sourceforge.pmd.lang.ast.xpath.saxon.ElementNode

- All Implemented Interfaces:
    Source, net.sf.saxon.evpull.PullEvent, net.sf.saxon.om.Item, net.sf.saxon.om.NodeInfo, net.sf.saxon.om.SiblingCountingNode, net.sf.saxon.om.ValueRepresentation, net.sf.saxon.om.VirtualNode

      public class ElementNode
      extends AbstractNodeInfo

  A Saxon OM Element type node for an AST Node.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected net.sf.saxon.om.NodeInfo[]` | `children`
    `protected DocumentNode` | `document`
    `protected int` | `id`
    `protected Node` | `node`
    `protected ElementNode` | `parent`
    `protected int` | `siblingPosition`

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementNode(DocumentNode document, IdGenerator idGenerator, ElementNode parent, Node node, int siblingPosition)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareOrder(net.sf.saxon.om.NodeInfo other)`
    `int` | `getColumnNumber()`
    `net.sf.saxon.om.DocumentInfo` | `getDocumentRoot()`
    `int` | `getLineNumber()`
    `String` | `getLocalPart()`
    `int` | `getNodeKind()`
    `net.sf.saxon.om.NodeInfo` | `getParent()`
    `int` | `getSiblingPosition()`
    `Object` | `getUnderlyingNode()`
    `String` | `getURI()`
    `boolean` | `hasChildNodes()`
    `net.sf.saxon.om.AxisIterator` | `iterateAxis(byte axisNumber)`

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.xpath.saxon.AbstractNodeInfo

      `atomize, copy, createUnsupportedOperationException, equals, generateId, getAttributeValue, getBaseURI, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getFingerprint, getNameCode, getNamePool, getPrefix, getRoot, getStringValue, getStringValueCS, getSystemId, getTypeAnnotation, getTypedValue, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.NodeInfo

      `hashCode`

- - ### Field Detail

    - #### document

          protected final DocumentNode document

    - #### parent

          protected final ElementNode parent

    - #### node

          protected final Node node

    - #### id

          protected final int id

    - #### siblingPosition

          protected final int siblingPosition

    - #### children

          protected final net.sf.saxon.om.NodeInfo[] children

  - ### Constructor Detail

    - #### ElementNode

          public ElementNode(DocumentNode document,
                     IdGenerator idGenerator,
                     ElementNode parent,
                     Node node,
                     int siblingPosition)

  - ### Method Detail

    - #### getUnderlyingNode

          public Object getUnderlyingNode()

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `getUnderlyingNode` in interface `net.sf.saxon.om.VirtualNode`
      Overrides:
        `getUnderlyingNode` in class `AbstractNodeInfo`

    - #### getSiblingPosition

          public int getSiblingPosition()

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `getSiblingPosition` in interface `net.sf.saxon.om.SiblingCountingNode`
      Overrides:
        `getSiblingPosition` in class `AbstractNodeInfo`

    - #### getColumnNumber

          public int getColumnNumber()

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `getColumnNumber` in interface `net.sf.saxon.om.NodeInfo`
      Overrides:
        `getColumnNumber` in class `AbstractNodeInfo`

    - #### getLineNumber

          public int getLineNumber()

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `getLineNumber` in interface `net.sf.saxon.om.NodeInfo`
      Overrides:
        `getLineNumber` in class `AbstractNodeInfo`

    - #### hasChildNodes

          public boolean hasChildNodes()

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `hasChildNodes` in interface `net.sf.saxon.om.NodeInfo`
      Overrides:
        `hasChildNodes` in class `AbstractNodeInfo`

    - #### getNodeKind

          public int getNodeKind()

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `getNodeKind` in interface `net.sf.saxon.om.NodeInfo`
      Overrides:
        `getNodeKind` in class `AbstractNodeInfo`

    - #### getDocumentRoot

          public net.sf.saxon.om.DocumentInfo getDocumentRoot()

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `getDocumentRoot` in interface `net.sf.saxon.om.NodeInfo`
      Overrides:
        `getDocumentRoot` in class `AbstractNodeInfo`

    - #### getLocalPart

          public String getLocalPart()

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `getLocalPart` in interface `net.sf.saxon.om.NodeInfo`
      Overrides:
        `getLocalPart` in class `AbstractNodeInfo`

    - #### getURI

          public String getURI()

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `getURI` in interface `net.sf.saxon.om.NodeInfo`
      Overrides:
        `getURI` in class `AbstractNodeInfo`

    - #### getParent

          public net.sf.saxon.om.NodeInfo getParent()

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `getParent` in interface `net.sf.saxon.om.NodeInfo`
      Overrides:
        `getParent` in class `AbstractNodeInfo`

    - #### compareOrder

          public int compareOrder(net.sf.saxon.om.NodeInfo other)

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `compareOrder` in interface `net.sf.saxon.om.NodeInfo`
      Overrides:
        `compareOrder` in class `AbstractNodeInfo`

    - #### iterateAxis

          public net.sf.saxon.om.AxisIterator iterateAxis(byte axisNumber)

      Description copied from class: `AbstractNodeInfo`
      Specified by:
        `iterateAxis` in interface `net.sf.saxon.om.NodeInfo`
      Overrides:
        `iterateAxis` in class `AbstractNodeInfo`

Copyright © 2002-2013 InfoEther. All Rights Reserved.